ADDUSER(8)

NOME
adduser, addgroup - adiciona um utilizador ou grupo ao sistema

SINOPSE
adduser [options] [--home DIR] [--shell SHELL] [--no-create-home] [--uid ID] [--firstuid ID] [--lastuid ID] [--ingroup GROUP | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] [--add_extra_groups] [--encrypt-home] user

adduser --system [opções] [--home DIRECTÓRIO] [--shell SHELL] [--no-create-home] [--uid ID] [--group | --ingroup GRUPO | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] utilizador

addgroup [opções] [--gid ID] grupo

addgroup --system [opções] [--gid ID] grupo

adduser [opções] utilizador grupo

  OPÇÕES COMUNS
[--quiet] [--debug] [--force-badname] [--help|-h] [--version] [--conf FICHEIRO]

DESCRIÇÃO

adduser e addgroup adicionam utilizadores e grupos ao sistema de acordo com opções de linha de comandos e informação de configuração em /etc/adduser.conf. Eles são frontends amigáveis para as ferramentas de baixo nível como os programas useradd, groupadd e usermod, escolhendo por predefinição valores UID e GID respeitantes da política Debian, criando um directório home com o esqueleto da configuração, executando um script personalizado, e outras funcionalidades. adduser e addgroup podem ser executados em um de cinco modos:

  Adicionar um utilizador normal
Se chamado com um argumento não-opção e sem as opções --system ou --group, o adduser irá adicionar um utilizador normal. adduser irá escolher o primeiro UID disponível dentro do alcance para utilizadores normais especificado no ficheiro de configuração. O UID pode ser sobreposto com a opção --uid. O alcance especificado no ficheiro de configuração pode ser sobreposto com as opções --firstuid e --lastuid. Por predefinição, cada utilizador em Debian GNU/Linux recebe um grupo correspondente com o mesmo nome. Grupos-de-utilizadores permitem que directórios com acesso de escrita para grupos sejam mantidos facilmente ao colocar os utilizadores apropriados no novo grupo, definindo o bit set-group-ID no directório, e assegurando que todos os utilizadores usam uma umask de 002. Se esta opção for desligada ao definir USERGROUPS para no, todos os GIDs de utilizadores são definidos para USERS_GID. Os grupos principais de utilizadores também podem ser sobrepostos a partir da linha de comandos com as opções --gid ou --ingroup para definir o grupo por id ou nome, respectivamente. Também, utilizadores podem ser adicionados a um ou mais grupos definidos em adduser.conf seja ao definir ADD_EXTRA_GROUPS para 1 em adduser.conf,ou passando --add_extra_groups na linha de comandos. adduser irá criar um título de directório home para DHOME, GROUPHOMES, e LETTERHOMES. O directório home pode ser sobreposto a partir da linha de comandos com a opção --home, e a shell com a opção --shell. O bit set-group-ID do directório home é definido se USERGROUPS for yes, para que quaisquer ficheiros criados no directório home do utilizador tenham o grupo correcto. adduser will copy files from SKEL into the home directory and prompt for finger (gecos) information and a password. The gecos may also be set with the --gecos option. With the --disabled-login option, the account will be created but will be disabled until a password is set. The --disabled-password option will not set a password, but login is still possible (for example with SSH RSA keys). To set up an encrypted home directory for the new user, add the --encrypt-home option. For more information, refer to the -b option of ecryptfs-setup-private(1). Se o ficheiro /usr/local/sbin/adduser.local existir, será executado após a conta do utilizador ser definida de modo a fazer quaisquer configurações locais. Os argumentos passados a adduser.local são:
nome-de-utilizador uid gid directório-home
A variável de ambiente VERBOSE é definida de acordo com a seguinte regra:

0 se --quiet for especificado

1 se --quiet e --debug não forem especificados

2 se --debug for especificado
    (O mesmo aplica-se à variável DEBUG, mas DEBUG está obsoleto e será removido numa versão futura do adduser.)

  Adicionar um utilizador de sistema
Se chamado com um argumento não-opção e a opção --system, o adduser irá adicionar um utilizador de sistema. Se já existir um utilizador com o mesmo nome dentro do alcance uid do sistema (ou, se o uid for especificado e já existir um utilizador com esse uid), o adduser irá terminar com um aviso. Este aviso pode ser suprimido ao adicionar "--quiet". adduser irá escolher o primeiro UID disponível do alcance para utilizadores de sistema especificado no ficheiro de configuração (FIRST_SYSTEM_UID e LAST_SYSTEM_UID). Se deseja ter um UID especificado, você pode especificá-lo usando a opção --uid. Por predefinição, os utilizadores do sistema são colocados no grupo nogroup. Para colocar o novo utilizador de sistema num grupo já existente, use as opções --gid ou --ingroup. Para colocar o novo utilizador de sistema num novo grupo com o mesmo ID. use a opção --group. É criado um directório home pelas mesmas regras como para utilizadores normais. O novo utilizador de sistema irá ter a shell /bin/false (a menos que seja sobreposto pela opção --shell), e irá ter os logins desactivados. Os ficheiros de configuração esqueleto não são copiados.

  Adicionar um grupo de utilizadores
Se o adduser for chamado com a opção --group e sem a opção --system, ou se addgroup for chamado respectivamente, será adicionado um grupo de utilizadores. Será escolhido um GID do alcance especificado para GIDS de sistema no ficheiro de configuração (FIRST_GID, LAST_GID). Para sobrepor esse mecanismo você pode fornecer o GID usando a opção --gid. O grupo é criado sem nenhum utilizador.

  Adicionar um grupo de sistema
Se addgroup for chamado com a opção --system, será adicionado um grupo de sistema. Será escolhido um GID do alcance especificado para GIDS de sistema no ficheiro de configuração (FIRST_SYSTEM_GID, LAST_SYSTEM_GID). Para sobrepor esse mecanismo você pode fornecer o GID usando a opção --gid. O grupo é criado sem nenhum utilizador.

  Adicionar um utilizador existente a um grupo existente
Se chamado com dois argumentos não-opção, adduser irá adicionar um utilizador existente a um grupo existente.

OPÇÕES

--conf FICHEIRO
    Usa FICHEIRO em vez de /etc/adduser.conf.

--disabled-login
    Não executa o passwd para definir a palavra-passe. O utilizador não poderá usar a sua conta até que a palavra-passe seja definida.

--disabled-password
    Tal como --disabled-login, mas os logins continuam a ser possíveis (por exemplo usando chaves SSH RSA) mas não usando autenticação por palavra-passe.

--force-badname
    By default, user and group names are checked against the configurable regular expression NAME_REGEX (or NAME_REGEX_SYSTEM if --system is specified) specified in the configuration file. This option forces adduser and addgroup to apply only a weak check for validity of the name.

--gecos GECOS
    Define o campo gecos para a entrada nova gerada. O adduser não irá pedir informação finger se esta opção for fornecida.

--gid ID
    Ao criar um grupo, esta opção força o novo groupid ao número fornecido. Ao criar um utilizador, esta opção irá colocar o utilizador nesse grupo.

--group
    Quando combinado com --system, é criado um grupo com o mesmo nome e ID que o utilizador de sistema. Se não for combinado com --system, é criado um grupo com o nome fornecido. Esta é a acção predefinida se o programa for invocado como addgroup.

--help
    Mostra instruções breves.

--home DIR
    Usa DIR como o directório home do utilizador, em vez da predefinição especificada pelo ficheiro de configuração. Se o directório não existir, ele é criado e são copiados os ficheiros de esqueleto.

--shell SHELL
    Usa SHELL como a shell de login do utilizador, em vez da predefinição especificada pelo ficheiro de configuração.

--ingroup GROUP
    Adiciona o novo utilizador ao GRUPO em vez a um grupo-de-utilizador ou ao grupo predefinido por USERS_GID no ficheiro de configuração. Isto afecta o grupo principal dos utilizadores. Para adicionar grupos adicionais, veja a opção add_extra_groups

--no-create-home
    Não cria o directório home, mesmo que este não exista.

--quiet
    Suprime mensagens informativas, apenas mostra avisos e erros.

--debug
    É detalhado, muito útil de deseja descobrir um problema com o adduser.

--system
    Cria um utilizador ou grupo de sistema.

--uid ID
    Força o novo id de utilizador a ser o número fornecido. O adduser irá falhar se o id de utilizador já estiver atribuído.

--firstuid ID
    Sobrepõe o primeiro uid no alcance de onde o uid é escolhido (sobrepõe FIRST_UID especificado no ficheiro de configuração).

--lastuid ID
    Sobrepõe o último uid no alcance de onde o uid é escolhido a partir de ( LAST_UID )

--add_extra_groups
    Adiciona o novo utilizador aos grupos extra definidos no ficheiro de configuração.

--version
    Mostra informação de versão e copyright.

VALORES DE SAÍDA

0   O utilizador existe como especificado. Isto pode ter 2 causas: O utilizador foi criado pelo adduser ou o utilizador já estava presente no sistema antes do adduser ser invocado. Se o adduser retornava 0, invocar o adduser uma segunda vez com os mesmo parâmetros irá retornar 0 como antes.

1   A criação do utilizador ou grupo falhou porque já estava presente com outro UID/GID diferente do especificado. O nome de utilizador ou nome de grupo foi rejeitado devido a um desencontro com as expressões regulares configuradas, veja adduser.conf(5). Adduser foi abortado por um sinal.
    Ou por muitas razões ainda não documentadas que são então escritas na consola. Você deve considerar remover a opção --quiet para tornar o adduser mais detalhado.

FICHEIROS

/etc/adduser.conf
    Ficheiro de configuração predefinida para o adduser e addgroup

VEJA TAMBÉM
adduser.conf(5), deluser(8), useradd(8), groupadd(8), usermod(8), Debian Policy 9.2.2.

COPYRIGHT
Copyright (C) 1997, 1998, 1999 Guy Maor. Modificações por Roland Bauerschmidt e Marc Haber. Patches adicionais por Joerg Hoh e Stephen Gran.
Copyright (C) 1995 Ted Hajek, com muita coisa emprestada do adduser original de Debian
Copyright (C) 1994 Ian Murdock. adduser é software livre, veja a GNU General Public Licence versão 2 ou posterior para condições de cópia. Não há garantia.